%define oname   erubis

Name:       ruby-%{oname}
Version:    2.7.0
Release:    %mkrel 4
Summary:    A fast and extensible eRuby implementation which supports multi-language
License:    MIT
Group:      Development/Ruby
URL:        http://www.kuwata-lab.com/erubis/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Erubis is an implementation of eRuby and has the following features:
* Very fast, almost three times faster than ERB and about 10% faster than
eruby.
* Multi-language support (Ruby/PHP/C/Java/Scheme/Perl/Javascript)
* Auto escaping support
* Auto trimming spaces around '<% %>'
* Embedded pattern changeable (default '<% %>')
* Enable to handle Processing Instructions (PI) as embedded pattern (ex.
'<?rb ... ?>')
* Context object available and easy to combine eRuby template with YAML
datafile
* Print statement available
* Easy to extend and customize in subclass
* Ruby on Rails support

%files
%{_bindir}/erubis
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 2.7.0-4.mga3
+ Revision: 395893
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.7.0-3.mga3
+ Revision: 380859
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 2.7.0-2.mga3
+ Revision: 312877
- rebuild for new ruby

* Tue Apr 19 2011 shikamaru <shikamaru> 2.7.0-1.mga1
+ Revision: 88793
- new version 2.7.0

* Sat Feb 12 2011 shikamaru <shikamaru> 2.6.6-1.mga1
+ Revision: 51157
- imported package ruby-erubis

